<?php

namespace App\Utils;

class PasswordValidator
{
    public static function validate($password)
    {
        if (strlen($password) < 8) {
            return "A senha deve ter pelo menos 8 caracteres.";
        }
        if (!preg_match('/[A-Z]/', $password)) {
            return "A senha deve conter pelo menos uma letra maiúscula.";
        }
        if (!preg_match('/[^a-zA-Z0-9]/', $password)) {
            return "A senha deve conter pelo menos um caractere especial.";
        }
        return true;
    }
}
